---
id: 66ad998285df023b23dacdd3
title: Step 5
challengeType: 1
dashedName: step-5
---

# --description--

Now, it is time to initialize the `botLocation` variable.

When you need to declare variables with multiple words, you can use the <dfn>camelCase</dfn> naming convention.

When using `camelCase`, the first word is all lowercase and the first letter of each subsequent word is capitalized. 

Here is an example:

```js
let thisIsCamelCase = "Alice the camel is actually a horse.";
```

Declare and assign the string `"the universe"` to the `botLocation` variable on the same line using the `let` keyword.

# --hints--

Use the `let` keyword to declare a variable.

```js
assert.lengthOf(__helpers.removeJSComments(code).match(/let/g), 2);
```

Your variable should be named `botLocation`.

```js
assert.isNotNull(botLocation);
```

You should assign a string to your `botLocation` variable.

```js
assert.isString(botLocation);
```

Your `botLocation` variable should be assigned the string `"the universe"`.

```js
assert.equal(botLocation, "the universe");
```

# --seed--

## --seed-contents--

```js
console.log("Hi there!");
console.log("I am excited to talk to you.");
let bot;
bot = "teacherBot";

--fcc-editable-region--

--fcc-editable-region--
```
